Commit 8bdd8063 authored by Daniel Eggert's avatar Daniel Eggert
Browse files

Merge branch 'master' of git.geomar.de:digital-earth/dasf/dasf-app-template

parents 8ca4f4d2 15f86d52
......@@ -2,8 +2,8 @@
This project contains an application template for the digital earth framework.
### frontend framework
see: https://git.geomar.de/digital-earth/de-frontend-framework
### dasf web components
see: https://git.geomar.de/digital-earth/dasf/dasf-web
### build and deploy
The dependencies are managed by npm
......@@ -21,14 +21,14 @@ npm install -g npm@latest
2. clone the de-app-template repository
3. cd into the `de-app-template` folder and install dependencies via
3. cd into the `dasf-app-template` folder and install dependencies via
```bash
npm install
```
The `de-frontend-framework` dependency is installed directly from it's git
repository. The dependency import can be changed to `../de-frontend-framework`
The `dasf-web` dependency is installed directly from npm.
The dependency import can be changed to `../dasf-web`
in case it's cloned into the same parent folder as the project referencing it.
4. build deployable package via
......
......@@ -7,44 +7,44 @@
"dev": "nuxt",
"dev-debug": "node --inspect node_modules/.bin/nuxt",
"build": "nuxt build",
"heroku-postbuild": "nuxt build",
"test": "jest",
"lint": "eslint . --ext .vue,.ts,.js",
"start": "nuxt start",
"generate": "nuxt generate"
},
"dependencies": {
"dasf-web": "0.1.0",
"nuxt": "2.15.2",
"@mdi/font": "5.9.55",
"@nuxtjs/axios": "5.13.6",
"@nuxtjs/style-resources": "1.1.0",
"dasf-web": "0.1.0",
"axios": "0.21.1",
"d3": "5.16.0",
"nuxt": "2.15.7",
"nuxt-client-init-module": "0.3.0",
"ol": "6.4.3",
"vue-class-component": "7.2.6",
"vue-property-decorator": "9.1.2"
},
"devDependencies": {
"@nuxt/types": "2.15.7",
"@nuxt/types": "2.15.2",
"@nuxt/typescript-build": "2.1.0",
"@nuxtjs/vuetify": "1.12.1",
"@nuxtjs/vuetify": "1.11.3",
"@types/jest": "26.0.23",
"@types/lodash": "4.14.170",
"@types/node": "15.12.2",
"@typescript-eslint/eslint-plugin": "4.27.0",
"@types/node": "14.17.2",
"@types/ol": "6.4.2",
"@vue/test-utils": "1.2.1",
"eslint": "7.28.0",
"@typescript-eslint/eslint-plugin": "4.26.0",
"@vue/test-utils": "1.2.0",
"eslint": "7.27.0",
"eslint-config-prettier": "8.3.0",
"eslint-plugin-vue": "7.11.1",
"eslint-plugin-vue": "7.10.0",
"jest": "27.0.4",
"nodemon": "2.0.7",
"prettier": "2.3.1",
"nodemon": "1.18.11",
"prettier": "2.3.0",
"sass": "1.32.12",
"stylus": "0.54.8",
"stylus-loader": "6.1.0",
"stylus-loader": "6.0.0",
"surge": "0.23.0",
"typescript": "4.3.3"
"typescript": "4.2.2"
}
}
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment